Index: trunk/SophyaLib/Samba/Makefile
===================================================================
--- trunk/SophyaLib/Samba/Makefile	(revision 2743)
+++ trunk/SophyaLib/Samba/Makefile	(revision 2751)
@@ -10,5 +10,6 @@
 	$(AR) $(ARFLAGS) $@ $? 
  
-$(SOPHYAOBJP)alm.o: alm.cc $(SOPHYAINCP)sopnamsp.h alm.h \
+$(SOPHYAOBJP)alm.o: alm.cc \
+  $(SOPHYAINCP)sopnamsp.h alm.h \
   $(SOPHYAINCP)nbrandom.h \
   $(SOPHYAINCP)srandgen.h \
@@ -33,37 +34,43 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)utilarr.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
-$(SOPHYAOBJP)bruit.o: bruit.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)bruit.o: bruit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)fmath.h bruit.h \
   $(SOPHYAINCP)nbrandom.h \
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
-$(SOPHYAOBJP)circle.o: circle.cc $(SOPHYAINCP)sopnamsp.h \
-  circle.h $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)unitvector.h geometry.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)datacirclefake.o: datacirclefake.cc \
-  $(SOPHYAINCP)sopnamsp.h datacirclefake.h \
-  datacirclebase.h circle.h \
+$(SOPHYAOBJP)circle.o: circle.cc \
+  $(SOPHYAINCP)sopnamsp.h circle.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)unitvector.h geometry.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)unitvector.h \
+  geometry.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)datacirclefake.o: datacirclefake.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  datacirclefake.h datacirclebase.h circle.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)unitvector.h \
+  geometry.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)harmspher.o: harmspher.cc \
-  $(SOPHYAINCP)machdefs.h harmspher.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  harmspher.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)lambdaBuilder.o: lambdaBuilder.cc \
-  $(SOPHYAINCP)sopnamsp.h lambdaBuilder.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  lambdaBuilder.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)machdefs.h \
@@ -89,8 +96,9 @@
   $(SOPHYAINCP)triangmtx.h \
   $(SOPHYAINCP)nbconst.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
-$(SOPHYAOBJP)mlobe.o: mlobe.cc $(SOPHYAINCP)sopnamsp.h \
-  mlobe.h $(SOPHYAINCP)sphericalmap.h \
+$(SOPHYAOBJP)mlobe.o: mlobe.cc \
+  $(SOPHYAINCP)sopnamsp.h mlobe.h \
+  $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
   $(SOPHYAINCP)machdefs.h \
@@ -118,8 +126,9 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)sambainit.o: sambainit.cc \
-  $(SOPHYAINCP)sopnamsp.h sambainit.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  sambainit.h \
   $(SOPHYAINCP)skymapinit.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -127,7 +136,8 @@
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
-$(SOPHYAOBJP)scan.o: scan.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)scan.o: scan.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h scan.h \
   $(SOPHYAINCP)ppersist.h \
@@ -144,5 +154,5 @@
   $(SOPHYAINCP)fiondblock.h \
   $(SOPHYAINCP)smathconst.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)sphericaltransformserver.o: sphericaltransformserver.cc \
@@ -179,6 +189,7 @@
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)triangmtx.h lambdaBuilder.h \
+  $(SOPHYAINCP)triangmtx.h \
+  lambdaBuilder.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
Index: trunk/SophyaLib/Samba/smakefile
===================================================================
--- trunk/SophyaLib/Samba/smakefile	(revision 2743)
+++ trunk/SophyaLib/Samba/smakefile	(revision 2751)
@@ -10,5 +10,6 @@
 	$(AR) $(ARFLAGS) $@ $? 
  
-$(SOPHYAOBJP)alm.o: alm.cc $(SOPHYAINCP)sopnamsp.h alm.h \
+$(SOPHYAOBJP)alm.o: alm.cc \
+  $(SOPHYAINCP)sopnamsp.h alm.h \
   $(SOPHYAINCP)nbrandom.h \
   $(SOPHYAINCP)srandgen.h \
@@ -33,37 +34,43 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)utilarr.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
-$(SOPHYAOBJP)bruit.o: bruit.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)bruit.o: bruit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)fmath.h bruit.h \
   $(SOPHYAINCP)nbrandom.h \
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
-$(SOPHYAOBJP)circle.o: circle.cc $(SOPHYAINCP)sopnamsp.h \
-  circle.h $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)unitvector.h geometry.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)datacirclefake.o: datacirclefake.cc \
-  $(SOPHYAINCP)sopnamsp.h datacirclefake.h \
-  datacirclebase.h circle.h \
+$(SOPHYAOBJP)circle.o: circle.cc \
+  $(SOPHYAINCP)sopnamsp.h circle.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)unitvector.h geometry.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)unitvector.h \
+  geometry.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)datacirclefake.o: datacirclefake.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  datacirclefake.h datacirclebase.h circle.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)unitvector.h \
+  geometry.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)harmspher.o: harmspher.cc \
-  $(SOPHYAINCP)machdefs.h harmspher.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  harmspher.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)lambdaBuilder.o: lambdaBuilder.cc \
-  $(SOPHYAINCP)sopnamsp.h lambdaBuilder.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  lambdaBuilder.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)machdefs.h \
@@ -89,8 +96,9 @@
   $(SOPHYAINCP)triangmtx.h \
   $(SOPHYAINCP)nbconst.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
-$(SOPHYAOBJP)mlobe.o: mlobe.cc $(SOPHYAINCP)sopnamsp.h \
-  mlobe.h $(SOPHYAINCP)sphericalmap.h \
+$(SOPHYAOBJP)mlobe.o: mlobe.cc \
+  $(SOPHYAINCP)sopnamsp.h mlobe.h \
+  $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
   $(SOPHYAINCP)machdefs.h \
@@ -118,8 +126,9 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)sambainit.o: sambainit.cc \
-  $(SOPHYAINCP)sopnamsp.h sambainit.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  sambainit.h \
   $(SOPHYAINCP)skymapinit.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -127,7 +136,8 @@
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
-$(SOPHYAOBJP)scan.o: scan.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)scan.o: scan.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h scan.h \
   $(SOPHYAINCP)ppersist.h \
@@ -144,5 +154,5 @@
   $(SOPHYAINCP)fiondblock.h \
   $(SOPHYAINCP)smathconst.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)sphericaltransformserver.o: sphericaltransformserver.cc \
@@ -179,6 +189,7 @@
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)triangmtx.h lambdaBuilder.h \
+  $(SOPHYAINCP)triangmtx.h \
+  lambdaBuilder.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
